### Class method

# Gtk WidgetClass set_template_from_resource

#### Declaration [src]

    void
    gtk_widget_class_set_template_from_resource (
      WidgetClass* self
    )

#### Description [src]

A convenience function that calls gtk_widget_class_set_template() with the contents of a `GResource`.

Note that any class that installs templates must call gtk_widget_init_template() in the widget’s instance initializer.